petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMMoabSetFieldName

Sets the name of a field (component) managed by the DM

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabSetFieldName(DM dm, PetscInt field, const char *fieldName)

Not Collective Many br

### Input Parameters

| dm | - the discretization manager object Many br
| field | - the field number Many br
| fieldName | - the field (component) name Many br

Many brNotes: Can only be called after DMMoabSetFields supplied with correct numFields Many br

### Keywords

discretization manager, set, component name

### See Also

DMMoabGetFieldName(), DMMoabSetFields()

Level:intermediate
Location:src/dm/impls/moab/dmmbfield.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages